Loading...
Searching...
No Matches
BALL::ILPBondOrderStrategy Class Reference

`#include <BALL/STRUCTURE/BONDORDERS/ILPBondOrderStrategy.h>`

Inheritance diagram for BALL::ILPBondOrderStrategy:

## Public Member Functions

| ILPBondOrderStrategy (AssignBondOrderProcessor *parent)
virtual | ~ILPBondOrderStrategy ()
virtual void | clear ()
virtual void | init ()
virtual bool | readOptions (const Options &options)
virtual void | setDefaultOptions ()
virtual boost::shared_ptr< BondOrderAssignment > | computeNextSolution ()
Public Member Functions inherited from BALL::BondOrderAssignmentStrategy
| BondOrderAssignmentStrategy (AssignBondOrderProcessor *parent)

## Protected Attributes

bool | valid_
std::vector< Bond * > | index_to_free_bond_
Position | number_of_free_bonds_
float | const_penalty_
bool | first_solution_
lprec * | ilp_

## Additional Inherited Members

Public Attributes inherited from BALL::BondOrderAssignmentStrategy
AssignBondOrderProcessor * | abop
| Our parent processor.

## Detailed Description

ILP algorithm for bond order assignment.

This class implements an Integer Linear Programming approach for the bond order assignment problem that can be used by the AssignBondOrderProcessor .

Definition at line 23 of file ILPBondOrderStrategy.h.

## Constructor & Destructor Documentation

## ILPBondOrderStrategy()

BALL::ILPBondOrderStrategy::ILPBondOrderStrategy | ( | AssignBondOrderProcessor * | parent | ) |

## ~ILPBondOrderStrategy()

virtual BALL::ILPBondOrderStrategy::~ILPBondOrderStrategy | ( |  | ) |

virtual

## Member Function Documentation

## clear()

virtual void BALL::ILPBondOrderStrategy::clear | ( |  | ) |

virtual

Reimplemented from BALL::BondOrderAssignmentStrategy.

## computeNextSolution()

virtual boost::shared_ptr< BondOrderAssignment > BALL::ILPBondOrderStrategy::computeNextSolution | ( |  | ) |

virtual

Implements BALL::BondOrderAssignmentStrategy.

## init()

virtual void BALL::ILPBondOrderStrategy::init | ( |  | ) |

virtual

Implements BALL::BondOrderAssignmentStrategy.

## readOptions()

virtual bool BALL::ILPBondOrderStrategy::readOptions | ( | const Options & | options | ) |

virtual

Reimplemented from BALL::BondOrderAssignmentStrategy.

## setDefaultOptions()

virtual void BALL::ILPBondOrderStrategy::setDefaultOptions | ( |  | ) |

virtual

Reimplemented from BALL::BondOrderAssignmentStrategy.

## Member Data Documentation

## const_penalty_

float BALL::ILPBondOrderStrategy::const_penalty_

protected

Definition at line 49 of file ILPBondOrderStrategy.h.

## first_solution_

bool BALL::ILPBondOrderStrategy::first_solution_

protected

Definition at line 52 of file ILPBondOrderStrategy.h.

## ilp_

lprec* BALL::ILPBondOrderStrategy::ilp_

protected

Definition at line 55 of file ILPBondOrderStrategy.h.

## index_to_free_bond_

std::vector<Bond*> BALL::ILPBondOrderStrategy::index_to_free_bond_

protected

Definition at line 43 of file ILPBondOrderStrategy.h.

## number_of_free_bonds_

Position BALL::ILPBondOrderStrategy::number_of_free_bonds_

protected

Definition at line 46 of file ILPBondOrderStrategy.h.

## valid_

bool BALL::ILPBondOrderStrategy::valid_

protected

Definition at line 39 of file ILPBondOrderStrategy.h.